#! /bin/bash

# Create a FITS image from an AMBER raw file with the recipe amber_raw_to_fitsimage and display it in fv
#
# This will work for IPIP installations only
#

#copy raw file to tmp directory
rm -f /tmp/amber_display.fits
rm -f /tmp/AMBER_RAW_TO_FITSIMAGE.FITS
cp $1 /tmp/AMBER_RAW_TO_FITSIMAGE.FITS

# Retrieve the Subdirectory with version number
export AMBER_VERSION=`ls -al /home/quality/pipelines/amber | awk '{print $NF}'`

esorex --output-prefix="esorex"  --recipe-dir=/home/quality/pipelines/amber/lib/amber/plugins/$AMBER_VERSION --suppress-prefix=FALSE amber_raw_to_fitsimage /home/quality/pipelines/amber/installed/bin/amber_raw_to_fitsimage.sof

# call fv for displaying the file /tmp/amber_display.fits which contains the primary image
fv -cmap 2 /tmp/amber_display.fits &



